Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.lcm
Interface DocumentRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DocumentRootImpl

    public interface DocumentRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Accept Objects Request`
- `Approve Objects Request`
- `Deprecate Objects Request`
- `Relocate Objects Request`
- `Remove Objects Request`
- `Submit Objects Request`
- `Undeprecate Objects Request`
- `Update Objects Request`

See Also:
  `LCMPackage.getDocumentRoot()`

Method Summary
`AcceptObjectsRequestType` | `getAcceptObjectsRequest()` Returns the value of the 'Accept Objects Request' containment reference.
`ApproveObjectsRequestType` | `getApproveObjectsRequest()` Returns the value of the 'Approve Objects Request' containment reference.
`DeprecateObjectsRequestType` | `getDeprecateObjectsRequest()` Returns the value of the 'Deprecate Objects Request' containment reference.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`RelocateObjectsRequestType` | `getRelocateObjectsRequest()` Returns the value of the 'Relocate Objects Request' containment reference.
`RemoveObjectsRequestType` | `getRemoveObjectsRequest()` Returns the value of the 'Remove Objects Request' containment reference.
`SubmitObjectsRequestType` | `getSubmitObjectsRequest()` Returns the value of the 'Submit Objects Request' containment reference.
`UndeprecateObjectsRequestType` | `getUndeprecateObjectsRequest()` Returns the value of the 'Undeprecate Objects Request' containment reference.
`UpdateObjectsRequestType` | `getUpdateObjectsRequest()` Returns the value of the 'Update Objects Request' containment reference.
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`void` | `setAcceptObjectsRequest(AcceptObjectsRequestType value)` Sets the value of the '`Accept Objects Request`' containment reference.
`void` | `setApproveObjectsRequest(ApproveObjectsRequestType value)` Sets the value of the '`Approve Objects Request`' containment reference.
`void` | `setDeprecateObjectsRequest(DeprecateObjectsRequestType value)` Sets the value of the '`Deprecate Objects Request`' containment reference.
`void` | `setRelocateObjectsRequest(RelocateObjectsRequestType value)` Sets the value of the '`Relocate Objects Request`' containment reference.
`void` | `setRemoveObjectsRequest(RemoveObjectsRequestType value)` Sets the value of the '`Remove Objects Request`' containment reference.
`void` | `setSubmitObjectsRequest(SubmitObjectsRequestType value)` Sets the value of the '`Submit Objects Request`' containment reference.
`void` | `setUndeprecateObjectsRequest(UndeprecateObjectsRequestType value)` Sets the value of the '`Undeprecate Objects Request`' containment reference.
`void` | `setUpdateObjectsRequest(UpdateObjectsRequestType value)` Sets the value of the '`Update Objects Request`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `LCMPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XMLNS Prefix Map' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `LCMPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XSI Schema Location' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `LCMPackage.getDocumentRoot_XSISchemaLocation()`

### getAcceptObjectsRequest

    AcceptObjectsRequestType getAcceptObjectsRequest()

  Returns the value of the 'Accept Objects Request' containment reference.

  If the meaning of the 'Accept Objects Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Accept Objects Request' containment reference.
  See Also:
    `setAcceptObjectsRequest(AcceptObjectsRequestType)`, `LCMPackage.getDocumentRoot_AcceptObjectsRequest()`

### setAcceptObjectsRequest

    void setAcceptObjectsRequest(AcceptObjectsRequestType value)

  Sets the value of the '`Accept Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Accept Objects Request' containment reference.
  See Also:
    `getAcceptObjectsRequest()`

### getApproveObjectsRequest

    ApproveObjectsRequestType getApproveObjectsRequest()

  Returns the value of the 'Approve Objects Request' containment reference. The ObjectRefList and AdhocQuery identify the list of objects being approved.

  Returns:
    the value of the 'Approve Objects Request' containment reference.
  See Also:
    `setApproveObjectsRequest(ApproveObjectsRequestType)`, `LCMPackage.getDocumentRoot_ApproveObjectsRequest()`

### setApproveObjectsRequest

    void setApproveObjectsRequest(ApproveObjectsRequestType value)

  Sets the value of the '`Approve Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Approve Objects Request' containment reference.
  See Also:
    `getApproveObjectsRequest()`

### getDeprecateObjectsRequest

    DeprecateObjectsRequestType getDeprecateObjectsRequest()

  Returns the value of the 'Deprecate Objects Request' containment reference. The ObjectRefList and AdhocQuery identify the list of objects being deprecated.

  Returns:
    the value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `setDeprecateObjectsRequest(DeprecateObjectsRequestType)`, `LCMPackage.getDocumentRoot_DeprecateObjectsRequest()`

### setDeprecateObjectsRequest

    void setDeprecateObjectsRequest(DeprecateObjectsRequestType value)

  Sets the value of the '`Deprecate Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `getDeprecateObjectsRequest()`

### getRelocateObjectsRequest

    RelocateObjectsRequestType getRelocateObjectsRequest()

  Returns the value of the 'Relocate Objects Request' containment reference.

  If the meaning of the 'Relocate Objects Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Relocate Objects Request' containment reference.
  See Also:
    `setRelocateObjectsRequest(RelocateObjectsRequestType)`, `LCMPackage.getDocumentRoot_RelocateObjectsRequest()`

### setRelocateObjectsRequest

    void setRelocateObjectsRequest(RelocateObjectsRequestType value)

  Sets the value of the '`Relocate Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Relocate Objects Request' containment reference.
  See Also:
    `getRelocateObjectsRequest()`

### getRemoveObjectsRequest

    RemoveObjectsRequestType getRemoveObjectsRequest()

  Returns the value of the 'Remove Objects Request' containment reference. The ObjectRefList is the list of refs to the registry entrys being removed

  Returns:
    the value of the 'Remove Objects Request' containment reference.
  See Also:
    `setRemoveObjectsRequest(RemoveObjectsRequestType)`, `LCMPackage.getDocumentRoot_RemoveObjectsRequest()`

### setRemoveObjectsRequest

    void setRemoveObjectsRequest(RemoveObjectsRequestType value)

  Sets the value of the '`Remove Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Remove Objects Request' containment reference.
  See Also:
    `getRemoveObjectsRequest()`

### getSubmitObjectsRequest

    SubmitObjectsRequestType getSubmitObjectsRequest()

  Returns the value of the 'Submit Objects Request' containment reference. The SubmitObjectsRequest allows one to submit a list of RegistryObject elements. Each RegistryEntry element provides metadata for a single submitted object. Note that the repository item being submitted is in a separate document that is not in this DTD. The ebXML Messaging Services Specfication defines packaging, for submission, of the metadata of a repository item with the repository item itself. The value of the id attribute of the ExtrinsicObject element must be the same as the xlink:href attribute within the Reference element within the Manifest element of the MessageHeader.

  Returns:
    the value of the 'Submit Objects Request' containment reference.
  See Also:
    `setSubmitObjectsRequest(SubmitObjectsRequestType)`, `LCMPackage.getDocumentRoot_SubmitObjectsRequest()`

### setSubmitObjectsRequest

    void setSubmitObjectsRequest(SubmitObjectsRequestType value)

  Sets the value of the '`Submit Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Submit Objects Request' containment reference.
  See Also:
    `getSubmitObjectsRequest()`

### getUndeprecateObjectsRequest

    UndeprecateObjectsRequestType getUndeprecateObjectsRequest()

  Returns the value of the 'Undeprecate Objects Request' containment reference. The ObjectRefList is the list of refs to the registry entrys being un-deprecated.

  Returns:
    the value of the 'Undeprecate Objects Request' containment reference.
  See Also:
    `setUndeprecateObjectsRequest(UndeprecateObjectsRequestType)`, `LCMPackage.getDocumentRoot_UndeprecateObjectsRequest()`

### setUndeprecateObjectsRequest

    void setUndeprecateObjectsRequest(UndeprecateObjectsRequestType value)

  Sets the value of the '`Undeprecate Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Undeprecate Objects Request' containment reference.
  See Also:
    `getUndeprecateObjectsRequest()`

### getUpdateObjectsRequest

    UpdateObjectsRequestType getUpdateObjectsRequest()

  Returns the value of the 'Update Objects Request' containment reference. The UpdateObjectsRequest allows one to update a list of RegistryObject elements. Each RegistryEntry element provides metadata for a single submitted object. Note that the repository item being submitted is in a separate document that is not in this DTD. The ebXML Messaging Services Specfication defines packaging, for submission, of the metadata of a repository item with the repository item itself. The value of the id attribute of the ExtrinsicObject element must be the same as the xlink:href attribute within the Reference element within the Manifest element of the MessageHeader.

  Returns:
    the value of the 'Update Objects Request' containment reference.
  See Also:
    `setUpdateObjectsRequest(UpdateObjectsRequestType)`, `LCMPackage.getDocumentRoot_UpdateObjectsRequest()`

### setUpdateObjectsRequest

    void setUpdateObjectsRequest(UpdateObjectsRequestType value)

  Sets the value of the '`Update Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Update Objects Request' containment reference.
  See Also:
    `getUpdateObjectsRequest()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD